Opened 8 years ago

Closed 8 years ago

Last modified 44 years ago

#479 closed bug (Fixed)

unknown exception

Reported by: rmfought Owned by: nobody
Priority: normal Milestone:
Component: Compiler Version: 6.4.1
Keywords: Cc:
Operating System: Architecture:
Type of failure: Difficulty:
Test Case: Blocked By:
Blocking: Related Tickets:

Description

Compiling hsgnutls-0.2.1, get the following error:

Glasgow Haskell Compiler, Version 6.4.1, for Haskell
98, compiled by GHC version 6.4
Using package config file: /usr/lib/ghc-6.4.1/package.conf
Hsc static flags: -static
*** Chasing dependencies:
Chasing modules from: Setup.lhs
*** Literate pre-processor
/usr/lib/ghc-6.4.1/unlit -h Setup.lhs Setup.lhs
/tmp/ghc15830.lpp
Stable modules:
*** Compiling Main             ( Setup.lhs, Setup.o ):
compile: input file /tmp/ghc15830.lpp
*** Checking old interface for Main:
Skipping  Main             ( Setup.lhs, Setup.o )
*** Deleting temp files
Deleting: /tmp/ghc15830.s
Warning: deleting non-existent /tmp/ghc15830.s
Upsweep completely successful.
*** Deleting temp files
Deleting:
link: linkables are ...
LinkableM (Thu Nov 10 09:33:46 CST 2005) Main
   [DotO Setup.o]
Linking ...
*** Deleting temp files
Deleting: /tmp/ghc15830.lpp
ghc-6.4.1: ghc-6.4.1: panic! (the `impossible'
happened, GHC version 6.4.1):
        unknown exception

This occured after I unregistered Cabal-1.0 , and
installed Cabal 1.1.1.  The compilation went fine
before this.

Change History (2)

comment:1 Changed 8 years ago by simonmar

Logged In: YES 
user_id=48280

The error message is at fault - it is trying to compain
about a missing package.  You probalby have another package
that depends on the Cabal-1.0 that you removed.

The bug has been fixed, the fix will be in 6.4.2.

comment:2 Changed 8 years ago by simonmar

  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.